> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/59.-vaicajums-iegut-ka-lietots-datu-kopas.md).

# 59. Vaicājums: iegūt "Kā lietots datu kopas"

Iegūt visus "AsAppliedDatasets" par izvēlēto "Field". Datus var izgūt, izmantojot vispārīgus GraphQL vaicājumus, piemēram `getFarms` un `getFields` no saistītā "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" ir jāaugšupielādē iepriekš.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    nosaukums
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        nosaukums
        number #kopējais ģeofašu skaits 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #pilnīga informācija par katru atribūtu
          name #saite uz statistiku >> atribūts
          transliteratedName
          fullName #pareizs cilvēkam lasāms nosaukums
          vienība#mērvienības
        }

        usedMachines { #izmantotās mašīnas
          id
          sērijasNumurs
          operatoraId
        } 

        createdDate #entītijas izveides datums un laiks GeoPard
        updatedDate #pēdējā atjauninājuma datums un laiks
        operationId
        operationType
        operācijasFailaDatums #faila izveides datums un laiks, iegūts no metainformācijas 
        operācijasSākumaDatums #operācijas sākums, iegūts no metainformācijas
        
        statistika { #statistikas sadalījums katram atribūtam
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexKrāsuKodes
          klases
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        nosaukums
        number #kopējais ģeofašu skaits 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #pilnīga informācija par katru atribūtu
          name #saite uz statistiku >> atribūts
          transliteratedName
          fullName #pareizs cilvēkam lasāms nosaukums
          vienība#mērvienības
        }

        usedMachines { #izmantotās mašīnas
          id
          sērijasNumurs
          operatoraId
        } 

        createdDate #entītijas izveides datums un laiks GeoPard
        updatedDate #pēdējā atjauninājuma datums un laiks
        operationId
        operationType
        operācijasFailaDatums #faila izveides datums un laiks, iegūts no metainformācijas 
        operācijasSākumaDatums #operācijas sākums, iegūts no metainformācijas
        
        statistika { #statistikas sadalījums katram atribūtam
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexKrāsuKodes
          klases
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/59.-vaicajums-iegut-ka-lietots-datu-kopas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
